<template>
  <div class="card">
    <div class="card-body">
      <h4
        class="card-title"
        :class="$i18n.locale == 'ar' ? 'font-size-15' : ''"
      >
        {{ $t("app.finishing") }}
      </h4>
      <div class="form-group">
        <el-select
          v-model="scheduling_finish_type_label"
          class="form-select-solid col-12"
          :placeholder="row.scheduling_finish_type_label"
        >
          <el-option label="ON" value="ON">
            <a class="dropdown-item" @click="onChange('ON')"> ON </a>
          </el-option>
          <el-option label="AFTER" value="AFTER">
            <a class="dropdown-item" @click="onChange('AFTER')"> AFTER </a>
          </el-option>
          <el-option :label="$t('view.not_expire')" value="NEVER">
            <a class="dropdown-item" @click="onChange('NEVER')"> NEVER </a>
          </el-option>
        </el-select>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "CardSchedulingFinishType",
  props: ["scheduling_finish_type"],
  data() {
    return {
      dataLoading: false,
      auth: {
        id_token: "",
      },
      scheduling_finish_type_label: "",
      row: {
        scheduling_finish_type: this.$props.scheduling_finish_type,
      },
    };
  },
  created() {
    if (localStorage.getItem("id_token")) {
      this.auth.id_token = localStorage.getItem("id_token");
    }
    this.checkLabel();
  },
  methods: {
    checkLabel() {
      if (
        this.$props.scheduling_finish_type == "ON" ||
        this.$props.scheduling_finish_type == undefined
      )
        this.scheduling_finish_type_label = "ON";
      else
        this.scheduling_finish_type_label = this.$props.scheduling_finish_type;
    },
    onChange(value) {
      this.row.scheduling_finish_type = value;
      this.checkLabel();
      const data = {
        scheduling_finish_type: this.row.scheduling_finish_type,
      };
      this.$emit("schedulingFinishTypeChange", data);
    },
    dateChange(event) {
      console.log(event);
    },
  },
};
</script>

<style scoped>
.scrollable-menu {
  height: auto;
  max-height: 18rem;
  overflow-x: hidden;
}

.input-group .input-group-btn .btn-secondary {
  color: #464a4c;
  background-color: #eceeef;
}

.input-group-addon {
  padding: 0.5rem 0.75rem;
  margin-bottom: 0;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.25;
  color: #464a4c;
  text-align: center;
  background-color: #eceeef;
  border: 1px solid rgba(0, 0, 0, 0.15);
}

.input-group-btn {
  position: relative;
  font-size: 0;
  white-space: nowrap;
  vertical-align: middle;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  flex-direction: column;
  -webkit-box-pack: center;
  justify-content: center;
}

.input-group .input-group-btn .btn-secondary {
  color: #464a4c !important;
  background-color: #eceeef;
  margin-right: -1px;
  border-bottom-right-radius: 0;
  border-top-right-radius: 0;
  border: 1px solid #ced4da;
  border-left: none;
  position: relative;
  -webkit-box-flex: 1;
  flex: 1 1 0%;
}
</style>
